import { IDynamicValue, IWeAppComponentInstance, ActionType, ICompositedComponent, IEventListener, IQueryData } from '@cloudbase/lowcode-generator/lib/weapps-core';
import { IMpCommonBuildContext, IDefaultAppWindowConfig } from './BuildContext';
export declare function generatedDynamicData(data: {
    [key: string]: IDynamicValue;
}, compInfo?: ICompositedComponent, filterBuiltInProps?: boolean): {
    staticProps: {};
    boundProps: {};
};
export declare function createWidgetProps(ctx: IMpCommonBuildContext, widgets: {
    [key: string]: IWeAppComponentInstance;
}): {};
export declare function createEventHandlers(ctx: IMpCommonBuildContext, widgets: {
    [key: string]: IWeAppComponentInstance;
}, componentApi: string, instance?: {
    listeners?: IEventListener[];
    id?: string;
}): {};
export declare function generateSyncListeners(syncConfigs: any): IEventListener[];
export declare function generateDataContainerListeners(): {
    trigger: string;
    jsCode: string;
    type: ActionType;
    data: {};
}[];
export declare function createTemplateQuery(ctx: IMpCommonBuildContext, query?: {
    [key: string]: IQueryData;
}, isComposite?: boolean): {};
export declare function createTemplateEventFlows(ctx: IMpCommonBuildContext, eventFlows?: any[]): any[];
export declare function generateArgsDynamicValueFromData(args?: {
    [prop: string]: IDynamicValue;
}, data?: {
    [prop: string]: IDynamicValue;
}): {
    [prop: string]: IDynamicValue;
} | undefined;
export declare function createDataBinds(ctx: IMpCommonBuildContext, widgets: {
    [key: string]: IWeAppComponentInstance;
}): {};
export declare function setDataBind(target: any, prop: string, val: IDynamicValue): void;
export declare function processRepeaterSchema(ctx: Pick<IMpCommonBuildContext, 'materialLibs' | 'miniprogramPlugins'>, componentInstanceMap: {
    [key: string]: IWeAppComponentInstance;
}): {
    [key: string]: IWeAppComponentInstance;
};
/**
 * 查找符合小程序平台组件的 info
 */
export declare function findComponentInfo(xComponent: {
    moduleName: string;
    name: string;
}, { materialLibs, miniprogramPlugins }: Pick<IMpCommonBuildContext, 'materialLibs' | 'miniprogramPlugins'>): ICompositedComponent | undefined;
export declare function generateScopedStyleText(widgets: Record<string, IWeAppComponentInstance>, weightPrefix?: string): string;
export declare function isRepeaterWidget(w: {
    widgetType: string;
    getConfig: () => {
        componentType?: string;
    };
}, repeaterComponentName: string): true | undefined;
export declare function cleanWindowDefultConfig(jsonConfig: IDefaultAppWindowConfig, appConfig?: IDefaultAppWindowConfig): IDefaultAppWindowConfig;
